<beans:beans xmlns="http://www.springframework.org/schema/security"
	xmlns:beans="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans
		http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
		http://www.springframework.org/schema/security
		http://www.springframework.org/schema/security/spring-security.xsd">

	<!-- enable use-expressions -->
	<http auto-config="true" use-expressions="true">
		<intercept-url pattern="/admin/**"  access="hasAnyRole('ROLE_A','ROLE_M','ROLE_C','ROLE_N')"  />
		
		<!-- Access Denied -->
		<access-denied-handler error-page="/403.do" />

		<!-- Login Authentication -->
		<form-login login-processing-url="/j_spring_security_check"
			login-page='/mainLogin.do' default-target-url="/index.do"
			always-use-default-target="true" authentication-failure-handler-ref="myAuthErrorHandler"
			username-parameter="loginId" password-parameter="password" />

		<!-- Logout Redirect  -->
		<logout logout-url="/logout" invalidate-session="true"   delete-cookies="JSESSIONID"
			 success-handler-ref="customLogoutSuccessHandler"  />

		<remember-me key="myAppKey" token-validity-seconds="864000" />
		<!-- enable remember me -->
    	<!-- <remember-me token-validity-seconds="3600"	remember-me-parameter="remember-me"	data-source-ref="dataSource" /> -->

		<!-- enable csrf protection -->
		<csrf />

		<session-management invalid-session-url="/mainLogin.do">
			<concurrency-control max-sessions="1"
				error-if-maximum-exceeded="true" expired-url="/mainLogin.do"/>
		</session-management>
		
		<!-- <session-management invalid-session-url="/">
			<concurrency-control max-sessions="1"  expired-url="/"  
				error-if-maximum-exceeded="true" />
		</session-management> -->
	</http>

	<authentication-manager>
			  <authentication-provider ref="customAuthenticationProvider" />
	
		<!-- <authentication-provider user-service-ref="userDetailsService">		
		</authentication-provider> -->
	</authentication-manager>	
</beans:beans>